Jump to content

Recommended Posts

Goednedag,

 

De upgrade naar 1.7 lukt me nog steeds niet.

Ik wil updaten vanaf 1.6.1.24 naar 1.7. Ondertussen ben ik al een behoorlijke tijd bezig zonder resultaat.

De test shop draait op een synology.

 

Ik heb al veel dingen aangepast om fouten op te lossen en steeds een stapje verder te komen.

Wat ik zoal gedaan heb :

Mariadb 10 naar mariadb 5. Dit scheelde een paar fout meldingen.

PHP naar 7.1

Database van myisam naar innodb. Dit was waarschijnlijk zo vanuit een oude eerdere versie al.

ipv upgraden naar de nieuwste 1.7.6, nu naar 1.7.3, Dit om de symfony fouten te omzeilen die ik met de nieuwste krijg.

Dit werkte wel, want na de upgrade was de BO benaderbaar. De FO werkte niet en met debug aan, kwam ik erachter dat die problemen had met modules.

Nadat ik de module winkelwagen en home page editor had verwijdert, kon ik op de FO. Ik mis alleen alles en heb alleen een logo en contact informatie.

De nieuwe 1.7 module van product category en winklewagen zijn niet automatisch geinstalleer.

 

Wat moet ik nou doen om normaal te kunnen updaten. Ik weet ff geen optie's meer. Ik denk dat het probleem nu nog ligt bij oude standaard 1.6 modules die niet geupdate worden naar 1.7 modules.

 

Als iemand een ander idee heeft om juist te kunnen upgraden a.d.h.v betaalde modules wil ik dat ook wel proberen.

 

Edited by Fabian (see edit history)

Share this post


Link to post
Share on other sites

Beste Fabian,

Het verstandigst is denk ik dat je eerst de minimale vereisten controleert voor PrestaShop:
https://www.prestashop.com/nl/systeemvereisten


Probeer dan eerst een schone PrestaShop installatie te installeren op je synology omgeving. Daar krijg je ook meteen de vereisten te zien bij de installatie.

Als alles dan voldoet en de schone installatie lukt, zou alles goed moeten staan.

Als het niet lukt met de 1-click upgrade dan zou ik je aanraden om de migratie te doen d.m.v. de Migratie module.

Ik heb hier een handleiding geschreven hoe je dat moet doen

Verder bieden de ontwikkelaars van de migratie module ook ondersteuning mocht de migratie van de data niet geheel lukken.

Ook is er aanstaande woensdags een gratis webinar te volgen (volgens mij om 11:30 onze tijd) aangeboden door H1 (een van de PrestaShop partners). Als het goed is, heb je dat voorbij zien komen in de nieuwsbrief als je je daarvoor hebt aangemeld. Hier kun je je daarvoor in ieder geval aanmelden:
https://prestashop663445.typeform.com/to/vOVX8V

Mocht het dan nog niet lukken dan zou je een van de Nederlandse PrestaShop experts kunnen in schakelen om je te ondersteunen:
https://www.prestashop.com/nl/experts

Hopelijk kom je hier verder mee. Succes in ieder geval.

Share this post


Link to post
Share on other sites

Ik heb ook een schone installatie draaien op de synology van 1.7.6. Die werkt zonder problemen. Alles is dus goed. 

Jammer dat het zoveel problemen opleverd om normaal te upgraden naar 1.7.

 

Stel dat prestashop bv bij 1.8 weer helemaal op de schop gaat. Dan is het upgraden misschien weer zo rot. Had juist gehoopt dat ik niet weer heel de site opnieuw moest gaan maken qua layout. 

 

Vanavond maar gaan stoeien met MigrationPro. 

 

iig bedankt

 

  • Like 1

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More